package mro.util.measures.dialog;

import mro.util.CurrentClassGetter;
import mro.util.measures.*;

import javax.swing.*;
import java.awt.*;

/**
 * Test Class.
 *
 * @version          080619
 * @author           Magnus Rosell
 *
 */
public class MeasuresFrame extends JFrame{

	public static Dimension MEASURESFRAME_PREFERRED_SIZE = 
		new Dimension(300, 500);
	
	public MeasuresFrame(Measures p){
		super(p.getName());
		Container container = getContentPane();
		MeasuresPanel pp = new MeasuresPanel(p);
		JScrollPane sp = new JScrollPane();
		sp.setViewportView(pp);
		container.add(sp);
		
		setVisible(true);
		setPreferredSize(MEASURESFRAME_PREFERRED_SIZE);
		pack();
	}
	
}

